Export journal entries as CSV (background task)
curl --request POST \
--url https://api.breezing.io/v1/transactions/export-journals \
--header 'Content-Type: application/json' \
--data '
{
"method": "indiv",
"ids": [
123
],
"filters": {
"walletId": 1,
"account": "<string>",
"hasAccount": true,
"isSpam": "false",
"dateFrom": 1,
"dateTo": 1,
"isLocked": "all"
}
}
'import requests
url = "https://api.breezing.io/v1/transactions/export-journals"
payload = {
"method": "indiv",
"ids": [123],
"filters": {
"walletId": 1,
"account": "<string>",
"hasAccount": True,
"isSpam": "false",
"dateFrom": 1,
"dateTo": 1,
"isLocked": "all"
}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
method: 'indiv',
ids: [123],
filters: {
walletId: 1,
account: '<string>',
hasAccount: true,
isSpam: 'false',
dateFrom: 1,
dateTo: 1,
isLocked: 'all'
}
})
};
fetch('https://api.breezing.io/v1/transactions/export-journals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.breezing.io/v1/transactions/export-journals",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'method' => 'indiv',
'ids' => [
123
],
'filters' => [
'walletId' => 1,
'account' => '<string>',
'hasAccount' => true,
'isSpam' => 'false',
'dateFrom' => 1,
'dateTo' => 1,
'isLocked' => 'all'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.breezing.io/v1/transactions/export-journals"
payload := strings.NewReader("{\n \"method\": \"indiv\",\n \"ids\": [\n 123\n ],\n \"filters\": {\n \"walletId\": 1,\n \"account\": \"<string>\",\n \"hasAccount\": true,\n \"isSpam\": \"false\",\n \"dateFrom\": 1,\n \"dateTo\": 1,\n \"isLocked\": \"all\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.breezing.io/v1/transactions/export-journals")
.header("Content-Type", "application/json")
.body("{\n \"method\": \"indiv\",\n \"ids\": [\n 123\n ],\n \"filters\": {\n \"walletId\": 1,\n \"account\": \"<string>\",\n \"hasAccount\": true,\n \"isSpam\": \"false\",\n \"dateFrom\": 1,\n \"dateTo\": 1,\n \"isLocked\": \"all\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.breezing.io/v1/transactions/export-journals")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"method\": \"indiv\",\n \"ids\": [\n 123\n ],\n \"filters\": {\n \"walletId\": 1,\n \"account\": \"<string>\",\n \"hasAccount\": true,\n \"isSpam\": \"false\",\n \"dateFrom\": 1,\n \"dateTo\": 1,\n \"isLocked\": \"all\"\n }\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"taskId": 123,
"count": 123
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}Transactions
Export Journals API
Export the journal entries of selected Breezing transactions as a CSV file, built with the same engine as the Xero, QuickBooks, and Bexio syncs.
POST
/
transactions
/
export-journals
Export journal entries as CSV (background task)
curl --request POST \
--url https://api.breezing.io/v1/transactions/export-journals \
--header 'Content-Type: application/json' \
--data '
{
"method": "indiv",
"ids": [
123
],
"filters": {
"walletId": 1,
"account": "<string>",
"hasAccount": true,
"isSpam": "false",
"dateFrom": 1,
"dateTo": 1,
"isLocked": "all"
}
}
'import requests
url = "https://api.breezing.io/v1/transactions/export-journals"
payload = {
"method": "indiv",
"ids": [123],
"filters": {
"walletId": 1,
"account": "<string>",
"hasAccount": True,
"isSpam": "false",
"dateFrom": 1,
"dateTo": 1,
"isLocked": "all"
}
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
method: 'indiv',
ids: [123],
filters: {
walletId: 1,
account: '<string>',
hasAccount: true,
isSpam: 'false',
dateFrom: 1,
dateTo: 1,
isLocked: 'all'
}
})
};
fetch('https://api.breezing.io/v1/transactions/export-journals', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.breezing.io/v1/transactions/export-journals",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'method' => 'indiv',
'ids' => [
123
],
'filters' => [
'walletId' => 1,
'account' => '<string>',
'hasAccount' => true,
'isSpam' => 'false',
'dateFrom' => 1,
'dateTo' => 1,
'isLocked' => 'all'
]
]),
CURLOPT_HTTPHEADER => [
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.breezing.io/v1/transactions/export-journals"
payload := strings.NewReader("{\n \"method\": \"indiv\",\n \"ids\": [\n 123\n ],\n \"filters\": {\n \"walletId\": 1,\n \"account\": \"<string>\",\n \"hasAccount\": true,\n \"isSpam\": \"false\",\n \"dateFrom\": 1,\n \"dateTo\": 1,\n \"isLocked\": \"all\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.breezing.io/v1/transactions/export-journals")
.header("Content-Type", "application/json")
.body("{\n \"method\": \"indiv\",\n \"ids\": [\n 123\n ],\n \"filters\": {\n \"walletId\": 1,\n \"account\": \"<string>\",\n \"hasAccount\": true,\n \"isSpam\": \"false\",\n \"dateFrom\": 1,\n \"dateTo\": 1,\n \"isLocked\": \"all\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.breezing.io/v1/transactions/export-journals")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Content-Type"] = 'application/json'
request.body = "{\n \"method\": \"indiv\",\n \"ids\": [\n 123\n ],\n \"filters\": {\n \"walletId\": 1,\n \"account\": \"<string>\",\n \"hasAccount\": true,\n \"isSpam\": \"false\",\n \"dateFrom\": 1,\n \"dateTo\": 1,\n \"isLocked\": \"all\"\n }\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"data": {
"taskId": 123,
"count": 123
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}{
"success": false,
"error": {
"code": "<string>",
"message": "<string>"
}
}Query Parameters
Body
application/json
Last modified on November 13, 2026